package com.pnkx.domain.po;

import com.pnkx.common.annotation.Excel;
import com.pnkx.common.core.domain.BaseEntity;

import java.util.Objects;

/**
 * @author by PHY
 * @classname PxBookkeeping
 * @date 2021-11-08 20:24
 * @description: 描述
 */
public class PxBookkeepingAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 版本号
     */
    private String version;

    /**
     * 账户类型
     */
    @Excel(name = "账户类型")
    private String accountType;

    /**
     * 账户图标
     */
    @Excel(name = "账户图标")
    private String accountIcon;

    /**
     * 账户名称
     */
    @Excel(name = "账户名称")
    private String accountName;

    /**
     * 结余
     */
    @Excel(name = "结余")
    private String balance;

    /**
     * 流入
     */
    @Excel(name = "流入")
    private String inflow;

    /**
     * 流出
     */
    @Excel(name = "流出")
    private String flowOut;

    /**
     * 删除标志
     */
    private Boolean delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersion() {
        return version;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountIcon(String accountIcon) {
        this.accountIcon = accountIcon;
    }

    public String getAccountIcon() {
        return accountIcon;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getBalance() {
        return balance;
    }

    public void setInflow(String inflow) {
        this.inflow = inflow;
    }

    public String getInflow() {
        return inflow;
    }

    public void setFlowOut(String flowOut) {
        this.flowOut = flowOut;
    }

    public String getFlowOut() {
        return flowOut;
    }

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "PxBookkeepingAccount{" +
                "id=" + id +
                ", version='" + version + '\'' +
                ", accountType='" + accountType + '\'' +
                ", accountIcon='" + accountIcon + '\'' +
                ", accountName='" + accountName + '\'' +
                ", balance='" + balance + '\'' +
                ", inflow='" + inflow + '\'' +
                ", flowOut='" + flowOut + '\'' +
                ", delFlag=" + delFlag +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        PxBookkeepingAccount that = (PxBookkeepingAccount) o;
        return Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
